//
//  define.h
//
//  Author: Tai-Yi Huang (tyhuang)  June, 2000
//

#ifndef _W_DEFINE_H
#define _W_DEFINE_H

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <string.h>
#include <windows.h>
#include <time.h>


typedef long    time_t;
#define EPOCH_BIAS  116444736000000000i64
typedef union {
        unsigned __int64 ft_scalar;
        FILETIME ft_struct;
        } FT;


#define STATUS_SUCCESS (0)
#define STATUS_ERROR ((UINT)(-1))

#define SPEC_SCRIPT_NAME        "/spec99/spec99api.dll"
#define SERVER_SOFTWARE_NAME    "TWC/SWC 3.0"

// local include files

#include "swc.h"
#include "dynamic.h"
#include "utility.h"
#include "postlog.h"
#include "lock.h"
#include "rootad.h"

extern  ROOT_AD     RootAd;
extern  LOG_INFO    PostLogInfo; 

VOID    InitTwc();
VOID    ProcessErrorExit(PCHAR Str, PCHAR FunStr);

// inline functions

__inline VOID QueryServerSoftware(PCHAR ServerSoftware) {

    strcpy(ServerSoftware, SERVER_SOFTWARE_NAME);
}

__inline VOID QueryScriptName(PCHAR ScriptName) {

    strcpy(ScriptName, SPEC_SCRIPT_NAME);
}

#endif // _W_DEFINE_H

